package com.WebFluxReactiveMongo.Reactor.Repository;

import com.WebFluxReactiveMongo.Reactor.Dto.StudentDto;
import com.WebFluxReactiveMongo.Reactor.Entity.Student;
import org.springframework.data.domain.Range;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;

@Repository
public interface StudentRepository extends ReactiveMongoRepository<Student,String> {
    Flux<StudentDto> findByFeeBetween(Range<Double> feeRange);

    Flux<StudentDto> findByIdBetween(Range<Integer> idRange);
}
